Bug 7677 - Corrupted .gnome/gnorpm.d/resources/distribs/list.rdf
Summary: Corrupted .gnome/gnorpm.d/resources/distribs/list.rdf
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gnorpm   
(Show other bugs)
Version: 6.1
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Matt Wilson
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-08 05:47 UTC by culliton
Modified: 2008-05-01 15:37 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-12-08 05:47:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description culliton 1999-12-08 05:47:21 UTC
This is sort of a two parter.  First the XML config/resource file
.gnome/gnorpm.d/resources/distribs/list.rdf is corrupted I've patched it as
follows:

10c10
<     <RPM:ID/>
---
>     <RPM:ID>redhat/6.1/sparc</RPM:ID>

Which prevents gnorpm from hanging or crashing but gives it other minor
bellyaches.  I'll try to cut and paste the messages in here but ther are
non-ascii codes in them:

LibFind-Message: downloading
http://www.redhat.com/RDF/resources/distribs/redhat_6.1_sparc.rdf

LibFind-WARNING **: HTTP error: 404 Not Found

LibFind-WARNING **: Couldn't get data at
hU@ww.redhat.com/RDF/resources/distribs/redhat_6.1_sparc.rdf
LibFind-Message: downloading
http://www.redhat.com/RDF/resources/distribs/redhat_6.1_sparc.rdf

LibFind-WARNING **: HTTP error: 404 Not Found

LibFind-WARNING **: Couldn't get data at
http://www.redhat.com/RDF/resources/distribs/redhat_6.1_sparc.rdf


As a general comment, either gnorpm itself of LibFind is far too sensitive
to "oddities" in it's XML files.  This is compounded by the fact that they
either come from the sites corrupted or one of the components is corrupting
them.  Bad data files should NOT cause a core dump, the problem should be
detected and an error message with the file name, line number and an
explainaiton should be printed so you have a chance to fix the problem.
If this isn't a policy for all Gnome/RedHat software it REALLY needs to be.
Just think how much easier it would make your job trouble shooting these
problems.

Comment 1 Alan Cox 2000-08-22 13:52:42 UTC
The current one should merely bitch about bad files



Note You need to log in before you can comment on or make changes to this bug.